GIMP-REMOTE(1)

NAME
gimp-remote - tells a running GIMP to open a (local or remote) image file.

SYNOPSIS
gimp-remote [-h] [--help] [-v] [--version] [--display display] [-e] [--existing] [-q] [--query] filename ...

DESCRIPTION

gimp-remote is a small utility that tells a running GIMP to open one or more (local or remote) image files. It does so by searching for a GIMP toolbox on the active display. If it can find a GIMP toolbox, a synthetic drop event is created which makes GIMP think the files would have been dropped onto the toolbox. More than one filename or URL can be specified on the commandline.

If no GIMP window is found, gimp-remote will start a new GIMP instance and ask it to load the specified images. If no filename or URL is given, gimp-remote will start a new GIMP. This behaviour can be altered using the command-line options described below.

OPTIONS
gimp-remote accepts the following options:

-h, --help
    Display a list of all commandline options.

-v, --version
    Output the version info.

--display display
    Use the designated X display.

-e, --existing
    If no running GIMP instance is found, don't start a new one but exit.

-q, --query
    Check if GIMP is running and exit. A status code of 0 indicates that a GIMP toolbox window has been found on this display.

EXAMPLES

gimp-remote http://www.gimp.org/images/wilber_the_gimp.png
    Loads the image from the GIMP website into a running GIMP or starts a new one.

gimp-remote wilber.xcf wilma.xcf
    Loads the local files wilber.xcf and wilma.xcf into a running GIMP or starts a new one.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

AUTHORS
Sven Neumann and Simon Budig.

SEE ALSO
gimp(1), gimprc(5), gimptool(1)